Page MenuHomePhabricator

Timeless: Reduce padding on content area
Closed, ResolvedPublic

Description

Reduce the padding for #mw-content. Perhaps also the sidebars and #mw-content-block (in desktop-mid and desktop-large views). Particularly for mobile view, where it takes up a much more significant portion of the available width:

As mentioned in T173152: Timeless: Usability issues on mobile devices

Inefficient use of horizontal space. Better to have edge to edge ui and small padding on content on narrow form factors

and T165945: Timeless: Re-evaluate width cutoffs (#4255838)

maybe kill some of the silly extra padding

and T197037: Timeless has a bit larger padding on Special:Translate

whitespace with literally nothing in it (it’s about 1-2em on each side, but I think 0.5em would be far enough).

Details

Related Gerrit Patches:
mediawiki/skins/Timeless : masterKill some more stupid padding and add some comments
mediawiki/skins/Timeless : masterAdjust a bunch of padding, especially mobile

Event Timeline

Evad37 created this task.Jun 13 2018, 2:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 2:01 AM
Evad37 updated the task description. (Show Details)Jun 13 2018, 2:07 AM
Vvjjkkii renamed this task from Timeless: Reduce padding on content area to i5aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from i5aaaaaaaa to Timeless: Reduce padding on content area.Jul 2 2018, 1:59 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Prod added a subscriber: Prod.Dec 8 2018, 8:44 PM

Change 517935 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Adjust a bunch of padding, especially mobile

https://gerrit.wikimedia.org/r/517935

Change 517935 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Adjust a bunch of padding, especially mobile

https://gerrit.wikimedia.org/r/517935

Change 523323 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Kill some more stupid padding and add some comments

https://gerrit.wikimedia.org/r/523323

Change 523323 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Kill some more stupid padding and add some comments

https://gerrit.wikimedia.org/r/523323

Isarra closed this task as Resolved.Jul 15 2019, 10:08 PM
Isarra claimed this task.
Isarra added a subscriber: Isarra.

I think that should do it, unless we want to discuss the padding on the actual boxes or some such.